#602 closed defect (fixed)

mpc82620ads irq.h has typo

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: bsps Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

Simple case of mismatched C++ wrapper. Just want a PR to track the patch with.

Index: irq/irq.h
===================================================================
RCS file: /usr1/CVS/rtems/c/src/lib/libbsp/powerpc/mpc8260ads/irq/irq.h,v
retrieving revision 1.1.4.2
diff -u -r1.1.4.2 irq.h
--- irq/irq.h 22 Oct 2003 16:24:29 -0000 1.1.4.2
+++ irq/irq.h 7 Apr 2004 12:42:01 -0000
@@ -348,7 +348,7 @@

extern void BSP_rtems_irq_mng_init(unsigned cpuId);


#ifdef cplusplus

-extern "C" {
+}

#endif


#endif

Release:
RTEMS-4.6

Change History (1)

comment:1 Changed on Apr 7, 2004 at 12:09:53 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied

Note: See TracTickets for help on using tickets.